ExtUtils::XSpp::Node(3pm)

NAME
ExtUtils::XSpp::Node - Base class for elements of the parser output

DESCRIPTION
ExtUtils::XSpp::Node is a base class for all elements of the parser's output.

METHODS

  new
Calls the "$self-"init(@_)> method after construction. Override init() in subclasses.

  init
Called by the constructor. Every sub-class needs to override this.

  ExtUtils::XSpp::Node::print
Return a string to be output in the final XS file. Every sub-class must override this method.